Summary: GNU File Utilities
Name: fileutils
Version: 3.16
Release: 10
Copyright: GPL
Group: Utilities/File
Source0: ftp://prep.ai.mit.edu/pub/gnu/fileutils-3.16.tar.gz
Source1: DIR_COLORS
Patch: fileutils-3.16-mktime.patch
Patch1: fileutils-3.16-glibc21.patch
Buildroot: /var/tmp/fileutils-root
Summary(de): GNU-Datei-Utilities 
Summary(fr): Utilitaires fichier de GNU
Summary(tr): GNU dosya ilemleri yardmc yazlmlar
Prereq: /sbin/install-info

%description
These are the GNU file management utilities.  It includes programs
to copy, move, list, etc, files.

The ls program in this package now incorporates color ls!

%description -l de
Dies sind die GNU-Dateiverwaltungs-Utilities. Sie enthalten Programme
 zum Kopieren, Bewegen, Auflisten usw. von Dateien. 

%description -l fr
Utilitaire de gestion de fichiers de GNU. Contient les programmes
pour copier, dplacer, lister, etc. les fichiers.

Le programme ls de ce paquetage incorpore maintenant ls en couleurs !

%description -l tr
Bu pakette yer alan programlar dosyalar zerinde kopyalama, isim deitirme
gibi temel ilemleri yapmanz salar.

%prep
%setup -q

%ifarch alpha
%patch -p1
autoconf
sleep 2
%endif

%patch1 -p1

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/etc
./configure --prefix=/usr --exec-prefix=/
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -f $RPM_BUILD_ROOT/usr/info/fileutils*
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/ install
gzip -9nf $RPM_BUILD_ROOT/usr/info/fileutils*

# Hack -- this directory is created for no reason
rmdir $RPM_BUILD_ROOT/libexec

mv -f $RPM_BUILD_ROOT/bin/install $RPM_BUILD_ROOT/usr/bin/install
mv -f $RPM_BUILD_ROOT/bin/du $RPM_BUILD_ROOT/usr/bin/du
mv -f $RPM_BUILD_ROOT/bin/dir $RPM_BUILD_ROOT/usr/bin/dir
mv -f $RPM_BUILD_ROOT/bin/vdir $RPM_BUILD_ROOT/usr/bin/vdir
mv -f $RPM_BUILD_ROOT/bin/mkfifo $RPM_BUILD_ROOT/usr/bin/mkfifo
mv -f $RPM_BUILD_ROOT/bin/dircolors $RPM_BUILD_ROOT/usr/bin/dircolors

cd $RPM_BUILD_ROOT
strip usr/bin/install usr/bin/du bin/chgrp bin/chown bin/chmod bin/cp
strip bin/dd usr/bin/dir bin/ln usr/bin/vdir bin/ls bin/mkdir
strip usr/bin/mkfifo bin/mknod bin/mv bin/rm bin/rmdir bin/sync
strip bin/touch bin/df usr/bin/dircolors

install -m644 -o root -g root $RPM_SOURCE_DIR/DIR_COLORS $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/fileutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/fileutils.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config /etc/DIR_COLORS
/usr/bin/install
/usr/bin/du
/bin/chgrp
/bin/chown
/bin/chmod
/bin/cp
/bin/dd
/usr/bin/dir
/bin/ln
/usr/bin/vdir
/bin/ls
/usr/bin/dircolors
/bin/mkdir
/usr/bin/mkfifo
/bin/mknod
/bin/mv
/bin/rm
/bin/rmdir
/bin/sync
/bin/touch
/bin/df

/usr/man/man1/chgrp.1
/usr/man/man1/chown.1
/usr/man/man1/chmod.1
/usr/man/man1/cp.1
/usr/man/man1/dd.1
/usr/man/man1/df.1
/usr/man/man1/dircolors.1
/usr/man/man1/du.1
/usr/man/man1/install.1
/usr/man/man1/ln.1
/usr/man/man1/ls.1
/usr/man/man1/mkdir.1
/usr/man/man1/mkfifo.1
/usr/man/man1/mknod.1
/usr/man/man1/mv.1
/usr/man/man1/rm.1
/usr/man/man1/rmdir.1
/usr/man/man1/touch.1

/usr/info/fileutils*

/usr/share/locale/*/*/*

%changelog
* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- got install-info stuff working in %post/%pre

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added %clean

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- minor patch for glibc 2.1

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- install-info turned off, as it creates a prereq loop

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- install-info turned on
- added BuildRoot

* Mon Sep 15 1997 Erik Troan <ewt@redhat.com>
- can't use install-info until %post -p allows argument passing

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri May 16 1997 Erik Troan <ewt@redhat.com>
- rebuilt for glibc.

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- Hacked at mktime() test to work on 64 bit machines w/ broken mktime(). I
  told Ulrich Drepper and Richard Henderson about this, so hopefully glibc
  will get fixed.

* Thu Feb 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.16.
